Package ch.qos.logback.core.status

## Interface StatusManager

All Known Implementing Classes:
  `BasicStatusManager`

    public interface StatusManager

Internal error messages (statii) are managed by instances of this interface.

Author:
  Ceki Gülcü

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add​(Status status)` Add a new status message.
`boolean` `add​(StatusListener listener)` Add a status listener.
`void` `clear()` Clear the list of status messages.
`java.util.List<Status>` `getCopyOfStatusList()` Obtain a copy of the status list maintained by this StatusManager.
`java.util.List<StatusListener>` `getCopyOfStatusListenerList()` Obtain a copy of the status listener list maintained by this StatusManager
`int` `getCount()` Return the number of status entries.
`void` `remove​(StatusListener listener)` ); Remove a status listener.

### Method Detail

#### add

    void add​(Status status)

Add a new status message.

Parameters:
  `status` -

#### getCopyOfStatusList

    java.util.List<Status> getCopyOfStatusList()

Obtain a copy of the status list maintained by this StatusManager.

Returns:

#### getCount

    int getCount()

Return the number of status entries.

Returns:

#### add

    boolean add​(StatusListener listener)

Add a status listener. The StatusManager may decide to skip installation if an earlier instance was already installed.

Parameters:
  `listener` -
Returns:
  true if actually added, false if skipped

#### remove

    void remove​(StatusListener listener)

); Remove a status listener.

Parameters:
  `listener` -

#### clear

    void clear()

Clear the list of status messages.

#### getCopyOfStatusListenerList

    java.util.List<StatusListener> getCopyOfStatusListenerList()

Obtain a copy of the status listener list maintained by this StatusManager

Returns: